%global momorel 9
%global qtver 3.3.7
%global kdever 3.5.10
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: Brand-new music player for K Desktop Environment
Name: falf
Version: 1.3
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://falf.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: %{name}-ja.po
Source10: cr16-action-edit_user.png
Source11: cr22-action-edit_user.png
Source12: cr32-action-edit_user.png
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: coreutils
BuildRequires: gettext
BuildRequires: libjpeg-devel >= 8a
BuildRequires: taglib-devel
BuildRequires: xine-lib-devel

%description
FALF Player is brand-new, written from scratch music player for K Desktop Environment.

Highlights:
- multiplaylist support
- lyrics support
- m3u support
- last.fm support
- HTTP streams support (radio)
- built-in tags' editor
- built-in equalizer
- easy transfer of tracks to removable device
- high stability
- low memory consumption

%prep
%setup -q

%patch0 -p1 -b .desktop-ja

# for Japanese
mkdir -p po/ja
install -m 644 %{SOURCE1} po/ja/%{name}.po

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

qmake

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# install binary
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/%{name} %{buildroot}%{_bindir}/

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications/kde
install -m 644 applnk/%{name}.desktop %{buildroot}%{_datadir}/applications/kde

# install konqueror service menu
mkdir -p %{buildroot}%{_datadir}/apps/konqueror/servicemenus
install -m 644 applnk/%{name}_mnu.desktop %{buildroot}%{_datadir}/apps/konqueror/servicemenus/

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{128x128,16x16,22x22,32x32,48x48,64x64}/apps
install -m 644 icons/128x128/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
install -m 644 icons/16x16/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -m 644 icons/22x22/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/
install -m 644 icons/32x32/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -m 644 icons/48x48/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -m 644 icons/64x64/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/

# import lost icons from kdenetwork3
mkdir -p %{buildroot}%{_datadir}/icons/crystalsvg/{16x16,22x22,32x32}/actions
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/icons/crystalsvg/16x16/actions/edit_user.png
install -m 644 %{SOURCE11} %{buildroot}%{_datadir}/icons/crystalsvg/22x22/actions/edit_user.png
install -m 644 %{SOURCE12} %{buildroot}%{_datadir}/icons/crystalsvg/32x32/actions/edit_user.png

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install translations
TRANSLATIONS=("cs" "es" "it" "ja" "nl" "pl" "ru" "uk" "zh_CN")
for i in ${TRANSLATIONS[@]}
do
    mkdir -p %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
    msgfmt "po/$i/%{name}.po" -o %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/%{name}.mo
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CHANGELOG README
%{_bindir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/konqueror/servicemenus/%{name}_mnu.desktop
%{_datadir}/icons/crystalsvg/*/actions/edit_user.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3-9m)
- full rebuild for mo7 release

* Thu Jul 15 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-8m)
- update desktop.patch

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-7m)
- touch up spec file

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3-6m)
- rebuild against libjpeg-8a

* Wed Dec  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-5m)
- change BR from xine-lib to xine-lib-devel

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Sep  3 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.3-3m)
- rebuild against libjpeg-7

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3-2m)
- rebuild against rpm-4.6

* Thu Aug 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- version 1.3
- update Japanese translation

* Fri Aug  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-3m)
- import KDE4 lost icons from kdenetwork3

* Tue Jul 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-2m)
- increase Release for upgrading from STABLE_4

* Thu Jun 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- version 1.2
- update Japanese translation
- update desktop.patch
- remove gcc43.patch

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-7m)
- rebuild against gcc43

* Sat Feb 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-6m)
- modify BPR for KDE4

* Thu Feb 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-5m)
- update Japanese translation

* Mon Feb 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-4m)
- BPR: taglib-devel, xine-lib

* Mon Feb 11 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-3m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Feb 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-2m)
- update Japanese translation

* Sat Feb  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- initial package for music freaks using Momonga Linux
- add Japanese translation
